Ephemeron.Kn.MakeSeeded(3)

NAME
Ephemeron.Kn.MakeSeeded - Functor building an implementation of a weak hash table.

Module
Module Ephemeron.Kn.MakeSeeded

Documentation

Module MakeSeeded
 : functor (H : Hashtbl.SeededHashedType) -> sig end

Functor building an implementation of a weak hash table. The seed is similar to the one of Hashtbl.MakeSeeded .

Parameters:

"H" Stdlib.Hashtbl.SeededHashedType

include Hashtbl.SeededS

val clean : 'a t -> unit

remove all dead bindings. Done automatically during automatic resizing.

val stats_alive : 'a t -> Hashtbl.statistics

same as Hashtbl.SeededS.stats but only count the alive bindings